<template>
  <div class="gl-max-w-34 gl-whitespace-normal gl-break-words">
    <p v-if="message">{{ message }}</p>
    <div v-else>{{ path }}</div>
    <div>
      Click to show <b>{{ count }}</b> findings
    </div>
  </div>
</template>

<script>
export default {
  name: 'TreeMapTooltip',
  props: {
    /**
     * The info argument passed to eChart's tooltip.formatter function.
     */
    info: {
      type: Object,
      required: true,
    },
  },
  computed: {
    count() {
      return this.info.data.value;
    },
    path() {
      const { treePathInfo } = this.info;

      return treePathInfo.map((node) => node.name).join(' / ');
    },
    message() {
      return this.info.data.message;
    },
  },
};
</script>
